xfs/288: update for v5 filesystem support in xfs_db
authorDarrick J. Wong <darrick.wong@oracle.com>
Wed, 4 Jul 2018 04:51:18 +0000 (21:51 -0700)
committerEryu Guan <guaneryu@gmail.com>
Sat, 14 Jul 2018 11:42:09 +0000 (19:42 +0800)
The xfs_db 'write -d' command has supported v5 filesystems for a few
releases now, and there's nothing about this test that require v4,
so let the test run with v5 if the user so specifies.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
Reviewed-by: Eryu Guan <guaneryu@gmail.com>
Signed-off-by: Eryu Guan <guaneryu@gmail.com>
tests/xfs/288

index e7a08a5dbfecef5ef2e62801ca20d568f7387724..bccdb6fc35ec55ed8405adf10b30ebdea242c082 100755 (executable)
@@ -36,14 +36,8 @@ _supported_os Linux
 _require_scratch
 _require_attrs
 
-# Due to xfs_db's write -d option is still not stable, and there's no
-# plan to support attr3. So only run this case on V4 XFS.
-# Please update this if xfs_db get enough improvement in one day.
-if [ -z "$XFS_MKFS_HAS_NO_META_SUPPORT" ]; then
-       mkfs_opts="-m crc=0"
-fi
 # get block size ($dbsize) from the mkfs output
-_scratch_mkfs_xfs $mkfs_opts 2>/dev/null | _filter_mkfs 2>$tmp.mkfs >/dev/null
+_scratch_mkfs_xfs 2>/dev/null | _filter_mkfs 2>$tmp.mkfs >/dev/null
 . $tmp.mkfs
 
 _scratch_mount